#!/bin/bash
echo '**************************************************************************'
echo 'Sample Application: Printing templates: /usr/local/share/TFORMer/Templates'
echo '                    Printed using :        tfprint'
echo '                (c) 2007 TEC-IT Datenverarbeitung GmbH '
echo '                www.tec-it.com '
echo '                office@tec-it.com '
echo '**************************************************************************'
TEMPLATES="/usr/local/share/TFORMer/Templates/"
EXTENSION="pdf"
OUTPUTTYPE="PDF"
OUTPUTDIR="."

find $TEMPLATES -name "*.tff" -print | sort | while read Z ; 
  do
  FORMNAME=$(basename "$Z" | awk -F "." '{ print $1 }')
  OUTPUTNAME="$OUTPUTDIR/$FORMNAME.$EXTENSION"
  echo "Printing form      : $FORMNAME"
  # pipe all output from tfprint besides error messages to /dev/null
  tfprint -F "$Z" -D "$TEMPLATES/$FORMNAME.xml" -DT XML -OT $OUTPUTTYPE -O "$OUTPUTNAME" > /dev/null
done
echo "Completed sucessfully."
