<?php
//----------------------------------------------------------------------------
//--                                                                        --
//--                    -- TEC-IT Datenverarbeitung GmbH --                 --
//--   -- team for engineering and consulting in information technologies ----
//--                                                                        --
//--                           All rights reserved.                         --
//--                                                                        --
//--              This is a part of the TEC-IT Standard Software.           --
//--                                                                        --
//--    This source code is only intended as a supplement to the References --
//--      and related electronic documentation provided with the product.   --
//--                                                                        --   
//--     See these sources for detailed information regarding this product  --  
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
//-- TEC-IT Sample Application                                              --
//-- Printing Forms and Labels from Server-Side PHP using TFORMer Runtime   --
//----------------------------------------------------------------------------  
//-- History:                                                               --
//-- (2006-06-09) : DothesaP - rebuilt and tested                           --
//-- (2007-04-03) : DominikS - changed to CGI functionallity                --
//----------------------------------------------------------------------------
//-- Free use of this code is granted                                       --
//----------------------------------------------------------------------------
?>

<html>
<head>
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>TFORMer Runtime Example, Server-Side CGI using PHP</title>
</head>

<body style="font-family: Arial">

<!--------------------------------------------------->
<!--         TEC-IT Contact Info                   -->
<!--------------------------------------------------->

<table style="border: gray 1px solid; padding: 10px; width: 100%;">
<tr><td>
<IMG src="TEC-IT_Banner_160x56.gif" align=right>
<h2>TEC-IT Datenverarbeitung GmbH</h2>
<p style="FONT-SIZE: 8pt">Wagnerstr. 6, A-4400 Steyr<br>Tel: +43 (0)7252 72 720, Fax: +43 (0) 7252 72 720 - 77<br>
<a href="http://www.tec-it.com">http://www.tec-it.com</a>,&nbsp;<A href="mailto:support@tec-it.com">mailto:support@tec-it.com</A></FONT>
</p></td></tr>
</table>

<?php
// Start a session or increase the session counter
// to get a unique identifier later.

session_start ();
if (!isset($_SESSION['count'])) {
  $_SESSION['count'] = 0;
} else {
  $_SESSION['count']++;
}

$articleNo1 = $_POST["articleNo1"];
$articleName1 = $_POST["articleName1"];
$articlePrice1 = $_POST["articlePrice1"];

// create a temporary filename, for 
// the TFORMer data file 
// which is written on the fly from the 
// data the user has entered.

$filename = tempnam( '/', 'TFORMer' );

$file = fopen($filename, 'w');

fwrite($file, '<?xml version="1.0" ?>');
fwrite($file, '<PSData><Form><Records>');

fwrite($file, '<Record Copies="1">');
fwrite($file, '<V Name="ArticleNo">'.$articleNo1.'</V>');
fwrite($file, '<V Name="ArticleName">'.$articleName1.'</V>');
fwrite($file, '<V Name="ArticlePrice">'.$articlePrice1.'</V>');
fwrite($file, "</Record>");

fwrite($file, "</Records><ImportedVariables>" );
fwrite($file, '<V Name="ArticleNo" />' );
fwrite($file, '<V Name="ArticleName" />' );
fwrite($file, '<V Name="ArticlePrice" />' );
fwrite($file, "</ImportedVariables></Form></PSData>");

fclose( $file );

// Create a filename for the output pdf
$pdfpath = 'output/pdfform_'.$_SESSION['count'].'.pdf';

// Construct the commandline which calls tfprint
$command = '/usr/local/bin/tfprint -F forms/BarcodeLabels.tff -DT XML -D '.$filename.' -OT PDF -O '.$pdfpath.' 2>&1';

exec ( $command, $tfp_output, $tfp_retcode );
// delete the temporary datafile
unlink( $filename );

echo '<br><table style="width: 100%; background-color: #e8e8ff">';
echo '<tr><td>';
if( $tfp_retcode == 0 )
{
  // tell the user where he can download the finished PDF document
  echo '<p><b>Printing Successful!</b></p>';
  echo '<p><em>Download your form: <a target="_blank" href="'.$pdfpath.'">Form</a></em></p>';
  echo '<script type="text/javascript">window.open("'.$pdfpath.'");</script>';
}
else
{
  echo '<p><b>An error has occured while generating your form.</b></p>';
}
echo '</td></tr>';
echo '</table>';


echo '<p><a href="index.php">Create another form</a></p>';

echo '<br><table style="width: 100%; background-color: #e8e8ff">';
echo '<tr><td>';
echo '<p><b>Information</b><br><br></p>';
echo '</td></tr>';
echo '<tr><td valign="top"><b><em>TFPrint Output:</em></b></td><td><em>';
foreach($tfp_output as $temp_output)
{
  echo $temp_output; 
  echo '<br>';
}
echo '</em></td></tr>';
echo '<tr><td valign="top"><b><em>TFPrint Error Code:</em></b></td>';
echo '<td><em>'.$tfp_retcode.'</em></td></tr>';
echo '<tr><td valign="top"><b><em>TFPrint Command:</em></b></td>';
echo '<td><em>'.$command.'</em></td></tr>';
echo '</table>';

?>
