/*===========================================================================*/
/*                        Copyright (C) 2009 by                              */
/*                                                                           */
/*                    -- TEC-IT Datenverarbeitung GmbH --                    */
/*   -- team for engineering and consulting in information technologies --   */
/*                                                                           */
/*                           All rights reserved.                            */
/*                                                                           */
/*              This is a part of the TEC-IT Standard Software.              */
/*                                                                           */
/*    This source code is only intended as a supplement to the References    */
/*      and related electronic documentation provided with the product.      */
/*                                                                           */
/*     See these sources for detailed information regarding this product     */
/*===========================================================================*/
package com.tecit.TFPrint;

public interface TFPrintText {

	
	static String sStartText = "JTFPrint - Command-Line TFORMer Reporting Engine" + "\n" +
    "(c) 2002-2009 TEC-IT Datenverarbeitung GmbH" + "\n" +
    "http://www.tec-it.com" + "\n" +
    "\n" +
    "java com.tecit.TFPrint.JTFPrint -F (Repo Project Form) | FormFile" + "\n" +
	"[ -D DataFile ]" + "\n" +
	"[ -DT (XML|TEXT|TFORMER|TFS|ODBC) ]" + "\n" +
	"[ -DO [CL[yes|no]] [ESC[yes|no]] [SCc] [QCc] [RCFname|RCAname]" + "\n" +
	"\t[DSN:name] [USER:user] [PWD:password] [SQL:statement] [XSLT:file] ]" + "\n" +
	"[ -O DevOrFile ]" + "\n" +
	"[ -OT (WIN32|CUPS|REPO|PS|PSPRINTER|PDF|HTML|\n\tTXT|TXTPRINTER|IMGBMP|IMGGIF|IMGJPG|\n\tIMGPCX|IMGPNG|IMGTGA|IMGTIF|\n\tIMGMULTITIF|ZPL|ZPLPRINTER) ]" + "\n" +
	"[ -OO [CPn] [TCname] [SRn] [SCn] [DXN] [DXH] [DXV] [JTtitle]" + "\n" +
	"[ -L LicenseeName LicenseKey NumberOfLicenses LicenseKind ]" +"\n" + 
	"[ -Q ]" + "\n" +
	"[ -C CommandFileASCII ]" + "\n" +
	"[ -LCUPS ]" +  "\n" +
	"[ -SYSTEMID ]" +  "\n" +
	"[ -H | -?] show detailed help" + "\n";
	
	
	
	static String sHelpText = sStartText +
	"\n" + 
	"\n" +
	"\n" +
	"Form specification:" + "\n" +  
	"-F (Repo Project Form) | FormFile"+ "\n" +  
	"\tRepository        Filename of Repository (*.tfr)"+ "\n" +  
	"\tProject           Name of Project within Repository"+ "\n" +  
	"\tForm              Name of Form within Project"+ "\n" +  
	"\tFormFile          Filename of Stand-Alone Form (*.tff)"+ "\n" +  
	"Data File:"+ "\n" +  
	"-D DataFile"+ "\n" +  
	"-DT [XML|TEXT|TFORMER|TFS|ODBC]"+ "\n" +  
	"\tType of Data File specified by -D"+ "\n" +  
	"\tXML               -D specifies a XML input file"+ "\n" +  
	"\tTEXT              -D specifies an ASCII input file"+ "\n" +  
	"\tTFORMER           Internal TFORMer format"+ "\n" +  
	"\tTFS               TFORMer Server compatible data file"+ "\n" +  
	"\tODBC              ODBC Data Source (no -D required)"+ "\n" +  
	"-DO [CL] [ESC] [SCc] [QCc] [RCFname|RCAname] [XSLT:file]" + "\n\t[DSN [USER] [PWD] SQL]"+ "\n" +
	"\tInput Data Options"+ "\n" +  
	"\tCL[yes|no]        Clear data fields between records (default CLyes)"+ "\n" +  
	"\tESC[yes|no]       Handle escape-sequences (e.g.\\x30) in input data \n\t\t\t  (default ESCno)"+ "\n" +  
	"\tSCc               Separator character c (-DT TEXT only)" + "\n" +  
	"\tQCc               Text qualifier character c (-DT TEXT only)" + "\n" +  
	"\tRCFname           Fieldname specifying record copy counter"+ "\n" +  
/* Currently not possible using Wrapper */
/*	"\tRCAname           Attribute specifying record copy counter \n\t\t\t\t(-DT XML only)"+ "\n" + */  
	"\tXSLT:file         Specifies XSLT file, used for transforming given XML \n\t\t\t\tinput file, before importing the result. \n\t\t\t\t(-DT XML only)"+ "\n" +  
	"\tDSN:name          Name of the data source (connection string) \n\t\t\t\t(-DT ODBC only)"+ "\n" +  
	"\tUSER:user         User name for ODBC connection (-DT ODBC only)"+ "\n" +  
	"\tPWD:password      Password for ODBC connection (-DT ODBC only)"+ "\n" +  
	"\tSQL:statement     SQL statement (-DT ODBC only)"+ "\n" +  
	
	"Output Device:"+ "\n" +  
	"-O DevOrFile"+ "\n" +  
	"\tDevOrFile         Name of device (e.g. a printer) or a filename"+ "\n" +  
	"-OT [WIN32|CUPS|REPO|PS|PSPRINTER|PDF|HTML|TXT|TXTPRINTER|\n\tIMGBMP|IMGGIF|IMGJPG|IMGPCX|IMGPNG|IMGTGA|IMGTIF|\n\tIMGMULTITIF|ZPL|ZPLPRINTER]"+ "\n" +  
	"\tType of Output specified by -O"+ "\n" +  
	"\tWIN32             Name of a Printer under Microsoft Windows"+ "\n" +  
	"\tPSPRINTER         Printer to which generated PostScriptcode will be sent"+ "\n" +  
	"\tREPO              Name of the device as specified in the Repository"+ "\n" +  
	"\tPS                Filename of PostScript output file"+ "\n" +  
	"\tPDF               Filename of PDF output file"+ "\n" +  
	"\tHTML              Filename of HTML output file"+ "\n" +  
	"\tTXT               Filename of Text output file"+ "\n" +  
	"\tTXTPRINTER        Printer to which generated Text will be sent"+ "\n" +  
	"\tIMGBMP            Filename of a BMP output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGGIF            Filename of a GIF output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGJPG            Filename of a JPG output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGPCX            Filename of a PCX output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGPNG            Filename of a PNG output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGTGA            Filename of a TGA output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGTIF            Filename of a TIF output image"+ "\n" +  
	       "\t\t\t  Filename may contain a series of # characters"+ "\n" +  
	       "\t\t\t  which will be replaced by the page number."+ "\n" +  
	"\tIMGMULTITIF       Filename of a multipage TIF output image"+ "\n" +  
	"\tZPL               Filename of ZPL-II (ZEBRA) output file"+ "\n" +  
	"\tZPLPRINTER        Printer to which generated ZPL-II code will be sent"+ "\n" +  
	"-OO [CPn] [TCname] [SRn] [SCn] [DXN|DXH|DXV] [JTtitle]"+ "\n" +  
	"\tOutput Options"+ "\n" +  
	"\tCPn               Number of copies for print-job [1..n]"+ "\n" +  
	"\tTCname            Name of traycontrol"+ "\n" +  
	"\tSRn               Row-number of 1st label [0..n]"+ "\n" +  
	"\tSCn               Column-number of 1st label [0..n]"+ "\n" +
	/* Currently not possible using Wrapper */
	/*
	"\tDXN               No duplex printing"+ "\n" +  
	"\tDXH               Horizontal duplex printing"+ "\n" +  
	"\tDXV               Vertical duplex printing"+ "\n" + 
	*/  
	"\tJTtitle           Job title for output"+ "\n" +  
	       "\t\t\t  (spool job name under Microsoft Windows)"+ "\n" +  
	       "\n" +  
	"License Key:"+ "\n" +  
	"-L LicenseeName LicenseKey NumberOfLicenses LicenseKind"+ "\n" +  
	"\tLicenseeName      Name of licensee"+ "\n" +  
	"\tLicenseKey        License key"+ "\n" +  
	"\tNumberOfLicenses  Number of purchased licenses"+ "\n" +  
	"\tLicenseKind       Kind of purchased license"+ "\n" +  
	       "\t\t\t  (Single, Workgroup, Office, Site, Developer, Server)"+ "\n" +  
	        "\n" +  
	"Miscellaneous Options:"+ "\n" +  
	"-Q                      Quiet. Do not write messages to stdout"+ "\n" +  
	"-C CommandFileASCII     Use ASCII file in addition to command line parameters"+ "\n" +  
	"-LCUPS                  List CUPS printers (LINUX/UNIX only)"+ "\n" +  
	"-SYSTEMID               Get your SystemID"+ "\n" +  
	"-CONFIG File            Path to a TFORMer config file"+ "\n" +  
	"-H | -?                 Detailed help text"+ "\n" +  
	 "\n";
	

}
