#!/bin/sh

TOMCAT_HOME=/opt/apache-tomcat-5.5.27
TFORMER_HOME=/usr/local/share/TFORMer
TFORMER_CLASSPATH=$TFORMER_HOME/java/JTFORMer60.jar

echo "Create the WAR structure..."
cp -R WebContent bin
mkdir bin/WEB-INF/classes bin/WEB-INF/lib
cp $TFORMER_CLASSPATH bin/WEB-INF/lib/

echo "Compiling Java classes..."
javac -d bin/WEB-INF/classes -cp $TFORMER_CLASSPATH:$TOMCAT_HOME/common/lib/servlet-api.jar src/com/tecit/TFORMer/examples/*.java
if test $? -ne 0; then
        echo "\nERROR: Check the classpath of the script:"
        echo "\tTFORMer library: $TFORMER_CLASSPATH"
        echo "\tTOMCAT_HOME: $TOMCAT_HOME"
        exit 1
fi

echo "Create the WAR archive..."
cd bin; jar cvf ../JTFORMerExample.war *

echo "\nYou can start the sample deploying the JTFORMerExample.war into your Application Server."
echo "If you use Tomcat, follow there steps:"
echo " - copy WAR file into Tomcat web applications"
echo "     cp JTFORMerExample.war \$TOMCAT_HOME/webapps"
echo " - run Tomcat"
echo "     cd \$TOMCAT_HOME/bin; ./catalina start"
echo " - open browser to the URL http://localhost:8080/JTFORMerExample"

