package com.tecit.TFORMer.examples;
/*===========================================================================*/
/*                        Copyright (C) 2009 by                              */
/*                                                                           */
/*                    -- TEC-IT Datenverarbeitung GmbH --                    */
/*   -- team for engineering and consulting in information technologies --   */
/*                                                                           */
/*                           All rights reserved.                            */
/*                                                                           */
/*              This is a part of the TEC-IT Standard Software.              */
/*                                                                           */
/*    This source code is only intended as a supplement to the References    */
/*      and related electronic documentation provided with the product.      */
/*                                                                           */
/*     See these sources for detailed information regarding this product     */
/*===========================================================================*/

import java.io.File;

import com.tecit.TFORMer.TFORMer;
import com.tecit.TFORMer.TFormerException;
import com.tecit.TFORMer.Enumerations.EPrinterType;
import com.tecit.TFORMer.Printing.Job;
import com.tecit.TFORMer.Printing.JobDataDataSource;

/**
 * @author PhilipK
 * 
 */
public class Program {

	public static void main(String[] args)
	{
		Job job = null;
		try {
			job = new Job();

			JobDataDataSource jobdatasource = new JobDataDataSource();

			File file = TFORMer.getExampleFile("Demo Repository", "Demos.tfr");
			job.setRepositoryName(file.getAbsolutePath());
			
			job.setProjectName("TFORMer_Runtime_Examples");

			job.setFormName("BarcodeLabels");

			jobdatasource.setName("TxtData");

			job.setJobData(jobdatasource);

			job.setOutputName(System.getProperty("user.dir") + File.separator + "BarcodeLabelsOutput.pdf");

			job.setPrinterType(EPrinterType.PDFFile);

			job.print();

		} 
		catch (TFormerException ex){
			ex.printStackTrace();
		} 
		finally {
			// free the resources otherwise some memory remains allocated!
			// NOTE: the method "dispose" must be invoked also when an
			//       exception occurs (good practice is the use of finally)
			try {
				if( job!=null )
					job.dispose();
			} 
			catch (TFormerException ex) {
				ex.printStackTrace();
			} 
		}
	}
}
