#!/bin/sh

# Test if enough commandline arguments where specified
if test $# != 3
    then
    echo "To few commandline arguments specified"
    echo "Usage:"
    echo " $0 TFF DATAFILE PRINTER"
    exit 1
fi

# make a temporary file name
PRINTFILE=`mktemp /tmp/tfprint.$$.XXXXXX`
OUTFILE=`mktemp /tmp/tfprint.$$.XXXXXX`
ERRFILE=`mktemp /tmp/tfprint.$$.XXXXXX`

# generate output to the temp file
tfprint -F "$1" -d "$2" -dt xml -o $PRINTFILE -ot ps 1> $OUTFILE 2> $ERRFILE

RETCODE=$?
if test $RETCODE -ne 0
    then 
    echo "TFPrint reported an error: $RETCODE"
    # print tfprints stderr
    cat $ERRFILE
    exit $RETCODE
fi

# print tfprints stdout
cat $OUTFILE

# print output file
lp -d$3 $PRINTFILE

 
# remove temporary print file
rm $PRINTFILE
rm $OUTFILE
rm $ERRFILE
